Subject: Re: Australian Butterflies

From: Yue Seong Swee <[email-masked]>
Date: Sun, 30 Jun 1996 18:36:34 +0800

Hi Folks,
When I was in Perth, Australia, I bought this Field Guide:

          A Field Guide to Australian Butterflies
          by Robert Fisher

          published by Surrey Beatty & Sons Pty Limited
          [ISBN 0 949324 52 3]

I have yet to use this book. Perhaps, someone could comment on this guide?

Cheers

Victor

>In article <v01530502adf42fce7c22@[147.197.154.140]>, Stuart Warrington
><[email-masked]> wrote:
>
>> Dear all,
>> I am lucky to be going to Cairns, Queensland, Australia in Aug 1996.
>> Can anyone help me with a good book/guide to buy ?
>>
>> Thanks,
>>
>>
>> Dr Stuart Warrington
>> Department of Environmental Sciences
>> University of Hertfordshire,
>> Hatfield.  AL10 9AB
>> United Kingdom.
>> Fax  01707 284514
>> Tel  01707 284137
>
>
>Best book (really the only book!) is Common & Waterhouse, Butterflies of
>Australia, 2nd ed., Angus & Robertson.  Out of print though, so you may
>have to find it secondhand.  There is a field guide version in paperback
>which has virtuallly all the info present in the hardback version.  There
>is a book by Valentine (Can't remember the title at the moment) which would
>be good for the Cairns region, but this is not comprehensive; just colour
>photos of representative groups in the region.  Very pretty though.
>--
>David R. Britton, Biological Sciences,
>University of Wollongong NSW Australia 2522
>(Ph) 61-42-213436 (Fax) 61-42-214135, email <[email-masked]>
>

Yue Seong-Swee, Victor
34 Upper Cross St #15-168
Singapore 050034
SINGAPORE

[email-masked]